# PhasicFlow: src/phasicFlow/structuredData/zAxis/array2D.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

array2D.hpp File Reference
Include dependency graph for array2D.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | array2D< T, nRow, nCol >

## Namespaces

| pFlow

## Functions

template<typename T , size_t nRow, size_t nCol>
array2D< T, nRow, nCol > | operator+ (const array2D< T, nRow, nCol > &arr1, const array2D< T, nRow, nCol > &arr2)
template<typename T , size_t nRow, size_t nCol>
array2D< T, nRow, nCol > | operator- (const array2D< T, nRow, nCol > &arr1, const array2D< T, nRow, nCol > &arr2)
template<typename T , size_t nRow, size_t nCol>
array2D< T, nRow, nCol > | operator* (const array2D< T, nRow, nCol > &arr1, const array2D< T, nRow, nCol > &arr2)
template<typename T , size_t nRow, size_t nCol>
array2D< T, nRow, nCol > | operator* (const T &s, const array2D< T, nRow, nCol > &arr2)
template<typename T , size_t nRow, size_t nCol>
array2D< T, nRow, nCol > | operator/ (const array2D< T, nRow, nCol > &arr1, const array2D< T, nRow, nCol > &arr2)
template<typename T , size_t nRow, size_t nCol>
array2D< T, nRow, nCol > | operator/ (const T &val, const array2D< T, nRow, nCol > &arr2)
template<typename T , size_t nRow, size_t nInner, size_t nCol>
array2D< T, nRow, nCol > | MatMul (const array2D< T, nRow, nInner > &A, const array2D< T, nInner, nCol > &B)
template<typename T , size_t nRow, size_t nCol>
array2D< T, nCol, nRow > | transpose (const array2D< T, nRow, nCol > &arr)
template<typename T , size_t nRow, size_t nCol>
iOstream & | operator<< (iOstream &os, const array2D< T, nRow, nCol > &arr)